> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Get an app definition GET https://api.contentful.com/organizations/{organization_id}/app_definitions/{app_definition_id} Reference: https://contentful.com/developers/docs/references/content-management-api/app-definitions/get-an-app-definition ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `organization_id` (string, required) — organization_id identifier - `app_definition_id` (string, required) — app_definition_id identifier ## Response ### 200 OK - Request successful - `map from string to any` ## Examples **Response** ```json { "locations": [ { "location": "entry-sidebar" } ], "name": "Hello world!", "src": "https://example.com/app.html", "sys": { "createdAt": "2025-04-15T07:22:04.000Z", "createdBy": { "sys": { "id": "7BslKh9TdKGOK41VmLDjFZ", "linkType": "User", "type": "Link" } }, "id": "", "organization": { "sys": { "id": "0D9ZC8rLWiw6x5qizZGiRs", "linkType": "Organization", "type": "Link" } }, "type": "AppDefinition", "updatedAt": "2025-04-15T07:22:04.000Z", "updatedBy": { "sys": { "id": "7BslKh9TdKGOK41VmLDjFZ", "linkType": "User", "type": "Link" } } } } ``` **SDK Code** ```android Android SDK currently doesn't implement this endpoint. ``` ```java Java SDK currently doesn't implement this endpoint. ``` ```kotlin Kotlin SDK currently doesn't implement this endpoint. ``` ```swift Swift We currently don't provide a CMA SDK for this platform. ``` ```js-legacy JavaScript (legacy) import { createClient } from 'contentful-management' const client = createClient({ accessToken: '' }, { type: 'legacy' }) client.getOrganization('') .then((organization) => organization.getAppDefinition('')) .then((definition) => console.log(definition)) .catch(console.error); ``` ```javascript JavaScript import { createClient } from 'contentful-management' // Client init const client = contentful.createClient({ accessToken: '' }) const appDefinition = await client.appDefinition.get({ organizationId: '', appDefinitionId: '', }); ``` ```php PHP SDK currently doesn't implement this endpoint. ``` ```ruby Ruby SDK currently doesn't implement this endpoint. ``` ```python Python SDK currently doesn't implement this endpoint. ``` ```.net .NET SDK currently doesn't implement this endpoint. ```